---
updatedAt: 2026-05-07T13:26:35.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Replace user card number

Replaces user card number associated. The old card benefits are cancelled, and the same benefit set is applied to the new card.

This endpoint generates a [Cards benefits allocation updated](https://developers.pismo.io/events/docs/cards-benefits-allocation-1) event.

**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Mastercard benefits",
      "description": "Card benefits endpoints"
    }
  ],
  "components": {
    "parameters": {
      "customerIdHeader": {
        "in": "header",
        "name": "x-customer-id",
        "schema": {
          "type": "integer"
        },
        "required": true,
        "description": "Pismo customer ID",
        "example": 125555
      }
    },
    "schemas": {
      "Bundle": {
        "type": "object",
        "description": "Bundle object. A Mastercard card segment **bundle** is a targeted package of benefits, rewards, or services assigned to specific carholder groups based on need.\n",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/Code"
          },
          "effective_date": {
            "$ref": "#/components/schemas/EffectiveDate"
          },
          "expiry_date": {
            "$ref": "#/components/schemas/ExpiryDate"
          }
        }
      },
      "Bundles": {
        "type": "array",
        "description": "Bundle object array",
        "items": {
          "$ref": "#/components/schemas/Bundle"
        }
      },
      "BundlesResponse": {
        "type": "object",
        "description": "Bundle response object. A Mastercard card segment **bundle** is a targeted package of benefits, rewards, or services assigned to specific carholder groups based on need.",
        "properties": {
          "bundles": {
            "$ref": "#/components/schemas/Bundles"
          },
          "network_correlation_id": {
            "$ref": "#/components/schemas/NetworkCorrelationId"
          }
        }
      },
      "Code": {
        "type": "string",
        "description": "Code",
        "example": "LAC_BBC"
      },
      "EffectiveDate": {
        "type": "string",
        "description": "Card effective date. Format = yyyy-mm-dd",
        "example": "2025-07-31"
      },
      "ExpiryDate": {
        "type": "string",
        "description": "Card expiration date. Format = yyyy-dd-mm",
        "example": "2026-01-20"
      },
      "NetworkCorrelationId": {
        "type": "string",
        "description": "Network correlation ID",
        "example": "fe1bf855f651810629107cfbce5b09d2"
      },
      "ReplaceCard": {
        "type": "object",
        "required": [
          "old_card_id",
          "new_card_id",
          "effective_date"
        ],
        "properties": {
          "old_card_id": {
            "$ref": "#/components/schemas/ReplaceOldCardID"
          },
          "new_card_id": {
            "$ref": "#/components/schemas/ReplaceNewCardID"
          },
          "effective_date": {
            "$ref": "#/components/schemas/EffectiveDate"
          }
        }
      },
      "ReplaceOldCardID": {
        "type": "integer",
        "description": "Pismo old card ID",
        "example": 123456
      },
      "ReplaceNewCardID": {
        "type": "integer",
        "description": "Pismo new card ID",
        "example": 987654
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad Request"
      },
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "403Forbidden": {
        "description": "You don't have permission to access this resource"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/pcicards/v1/pcicards/benefits/cards/replace": {
      "post": {
        "summary": "Replace user card number",
        "description": "Replaces user card number associated. The old card benefits are cancelled, and the same benefit set is applied to the new card.\n\nThis endpoint generates a [Cards benefits allocation updated](https://developers.pismo.io/events/docs/cards-benefits-allocation-1) event.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n",
        "operationId": "post-v1-benefits-cards-cancel",
        "tags": [
          "Mastercard benefits"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/customerIdHeader"
          }
        ],
        "requestBody": {
          "description": "Replace user card number request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ReplaceCard"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BundlesResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```